// $Id: test-ticket-server.C,v 1.3 2003/07/21 10:04:42 dvermeir Exp $

#include <iostream>
#include <dvticket/server.h>
#include <dvticket/test-authenticator.h>

int
main(int argc,char* argv[]) {
try {
  if (argc != 3)
    throw std::runtime_error(
      "usage: test-ticket-server trusted-ip.txt test-ticket-server-config.xml");
  Dv::Ticket::TestAuthenticator auth(argv[1]);
  Dv::Ticket::Server server(argv[2], auth);
  return server.main();
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
