#ifndef DVTICKET_EXCEPTION_H
#define DVTICKET_EXCEPTION_H
// $Id: exception.h,v 1.1 2003/08/06 12:12:06 dvermeir Exp $

#include <string>
#include <stdexcept>

namespace Dv {
namespace Ticket {

/** Ticket exception class. */
class Exception: public std::runtime_error {
public:
  /** Class name, i.e. "Dv::Ticket::Server::Exception".  */
  static const std::string NAME;
  /** Constructor.
   * @param msg message to append to NAME.
   */
  Exception(const std::string& msg): std::runtime_error(NAME + ": " + msg) {}
};
}}
#endif
